# class Rational

### Public Class Methods

json_create(object) click to toggle source

Deserializes JSON string by converting numerator value `n`, denominator value `d`, to a Rational object.

    # File lib/json/add/rational.rb, line 9
    def self.json_create(object)
      Rational(object['n'], object['d'])
    end

### Public Instance Methods

as_json(*) click to toggle source

Returns a hash, that will be turned into a JSON object and represent this object.

    # File lib/json/add/rational.rb, line 15
    def as_json(*)
      {
        JSON.create_id => self.class.name,
        'n'            => numerator,
        'd'            => denominator,
      }
    end

to_json(*) click to toggle source

Stores class name (Rational) along with numerator value `n` and denominator value `d` as JSON string

    # File lib/json/add/rational.rb, line 24
    def to_json(*)
      as_json.to_json
    end